Patch Proposal Data
curl --request PATCH \
--url https://api.proposales.com/v3/proposals/{uuid}/data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"data": {}
}'import requests
url = "https://api.proposales.com/v3/proposals/{uuid}/data"
payload = { "data": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}})
};
fetch('https://api.proposales.com/v3/proposals/{uuid}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}Proposals
Patch Proposal Data
Patch the proposal data field.
PATCH
/
v3
/
proposals
/
{uuid}
/
data
Patch Proposal Data
This route only shallow-merges the
data JSON object. To change title, blocks, recipient, attachments, and other draft fields on the same proposal UUID, use Patch proposal (draft) (PATCH /v3/proposals/{uuid}).Body
The UUID of the proposal to update
The fields to update in the proposal’s
data property.
Passing null as a key will delete it from the proposal data.
Omitted and undefined values are left unchanged.Response
The updated
data field of the proposal.⌘I